commit 95e40e8764e3c7ac50630bab6ad92aa94ba3db20
Author: Sam Song <samsongshu@yahoo.com.cn>
Date:   Thu Apr 5 15:35:51 2007 +0800

    Enable 2nd I2C bus support and make CFG_SFP_BUS_NUM setting obviously.
    
    Signed-off-by: Sam Song <samsongshu@yahoo.com.cn>

diff --git a/include/configs/MPC8641HPCN.h b/include/configs/MPC8641HPCN.h
index db3ff83..ff9f675 100644
--- a/include/configs/MPC8641HPCN.h
+++ b/include/configs/MPC8641HPCN.h
@@ -283,11 +283,15 @@ extern unsigned long get_board_sys_clk(u
  */
 #define CONFIG_FSL_I2C		/* Use FSL common I2C driver */
 #define CONFIG_HARD_I2C		/* I2C with hardware support*/
+#define CONFIG_I2C_MULTI_BUS
+#define CONFIG_I2C_CMD_TREE
 #undef	CONFIG_SOFT_I2C			/* I2C bit-banged */
 #define CFG_I2C_SPEED		400000	/* I2C speed and slave address */
 #define CFG_I2C_SLAVE		0x7F
-#define CFG_I2C_NOPROBES        {0x69}	/* Don't probe these addrs */
-#define CFG_I2C_OFFSET		0x3100
+/* #define CFG_I2C_NOPROBES        {0x69}      ** Don't probe these addrs */
+#define CFG_I2C_OFFSET          0x3000
+#define CFG_I2C2_OFFSET         0x3100
+#define CFG_SPD_BUS_NUM         1       /* SPD EEPROM on 2nd I2C BUS */
 
 /*
  * RapidIO MMU
